Levain LabsLevain Labs
API ReferenceRuntimes

List Runtimes

List the workspace's self-hosted runtimes.

List the workspace's self-hosted runtimes.

GET
/api/v1/runtimes

Authorization

HTTPBearer
AuthorizationBearer <token>

In: header

Header Parameters

X-API-Key?string|null

Response Body

application/json

application/json

curl -X GET "https://api.levainlabs.com/api/v1/runtimes"
[
  {
    "id": "string",
    "name": "string",
    "mode": "string",
    "image": "string",
    "model_auth": "string",
    "status": "online",
    "last_seen_at": "string",
    "runner_version": "string",
    "created_at": "string"
  }
]